<?php

declare(strict_types=1);

namespace Seka\Terminy\Http\Controllers\Backend\Adresar\Livewire\Pages;

use Livewire\Component;
use Illuminate\Contracts\View\View;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

final class Index extends Component
{
    use AuthorizesRequests;

    /**
     * @return \Illuminate\Contracts\View\View
     * @throws \Illuminate\Auth\Access\AuthorizationException
     * @throws \Illuminate\Contracts\Container\BindingResolutionException
     */
    public function render(): View
    {
        $this->authorize('terminy');

        return view('Terminy::pages.adresar.backend.livewire.index');
    }
}
